Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOEstimateDataDetail.cs	(revision 51)
@@ -209,8 +209,8 @@
                     strcmd += string.Format(", {0}", work.MyExpensesFlg);       // 自社経費フラグ
                     strcmd += string.Format(", {0}", work.InputFlg);            // 入力フラグ
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -287,7 +287,7 @@
                 strcmd += string.Format(",MyExpensesFlg = {0}", data.MyExpensesFlg);        // 自社経費フラグ
                 strcmd += string.Format(",InputFlg = {0}", data.InputFlg);                  // 入力フラグ
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -329,6 +329,89 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE EstimateDataDetail";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)TableColumn.ConstructionCode:	// 工事番号
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.PageCount:		        // ページ番号
+                        strcmd += string.Format(" PageCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.LineCount:		        // 行番号
+                        strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.DataType:               // データタイプ
+                        strcmd += string.Format(" DataType = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ComponentCode:		    // 構成キー
+                        strcmd += string.Format(" ComponentCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ItemCode:		        // 工種キー
+                        strcmd += string.Format(" ItemCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.SpecCode:		        // 規格・寸法キー
+                        strcmd += string.Format(" SpecCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.ItemName:		        // 作業名称
+                        strcmd += string.Format(" ItemName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.SpecName:		        // 作業／品質・形状・寸法
+                        strcmd += string.Format(" SpecName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.UnitCount:		        // 数量
+                        strcmd += string.Format(" UnitCount = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.UnitName:		        // 単位
+                        strcmd += string.Format(" UnitName = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.UnitPrice:		        // 単価
+                        strcmd += string.Format(" UnitPrice = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.LineTotal:		        // 金額
+                        strcmd += string.Format(" LineTotal = {0}", ((double)value).ToString());
+                        break;
+                    case (int)TableColumn.Note:			        // 備考
+                        strcmd += string.Format(" Note = '{0}'", value.ToString());
+                        break;
+                    case (int)TableColumn.CompanyCode:            // 協力会社コード
+                        strcmd += string.Format(" CompanyCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.MyExpensesFlg:
+                        strcmd += string.Format(" MyExpensesFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)TableColumn.InputFlg:
+                        strcmd += string.Format(" InputFlg = {0}", ((int)value).ToString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region データセット処理
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -373,6 +456,49 @@
         }
         #endregion
 
+        #region データクリア処理
+        /// <summary>
+        /// データクリア処理
+        /// </summary>
+        /// <param name="wrk">構造体</param>
+        public void ClearStruct(ref EstimateDataDetail wrk)
+        {
+            try
+            {
+                // データ取得
+
+                wrk.ConstructionCode = 0;       // 工事番号
+                wrk.PageCount = 0;		        // ページ番号
+                wrk.LineCount = 0;		        // 行番号
+                wrk.DataType = 0;	            // データタイプ
+                wrk.ComponentCode = 0;	        // 構成キー（行）
+                wrk.ItemCode = 0;		        // 工種キー
+                wrk.SpecCode = 0;		        // 規格・寸法キー
+                wrk.ItemName = string.Empty;    // 作業名称
+                wrk.SpecName = string.Empty;	// 作業／品質・形状・寸法
+                wrk.UnitCount = 0;		        // 数量
+                wrk.UnitName = string.Empty;    // 単位
+                wrk.UnitPrice = 0;		        // 単価
+                wrk.LineTotal = 0;		        // 金額
+                wrk.Note = string.Empty;		// 備考
+                wrk.CompanyCode = 0;		    // 協力会社コード
+                wrk.MyExpensesFlg = 0;          // 自社経費フラグ
+                wrk.InputFlg = 0;               // 入力フラグ
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
         #region 工事番号の最大値を取得する
         /// <summary>
         /// 工事コードの最大値を取得する
@@ -462,8 +588,8 @@
                 // SQL実行
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
-                //strcmd = "UPDATE EstimateDataDetail SET EntryDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                //strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                //strcmd = "UPDATE EstimateDataDetail SET EntryDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                //strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
                 //strcmd += CreatePrimarykeyString(FromCode);
 
                 //// SQL実行
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputSearchLogData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputSearchLogData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOInputSearchLogData.cs	(revision 51)
@@ -139,7 +139,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -167,7 +167,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -203,7 +203,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -241,7 +241,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -268,7 +268,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -293,11 +293,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMApproval.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMApproval.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMApproval.cs	(revision 51)
@@ -99,7 +99,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -124,7 +124,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -145,8 +145,8 @@
                     strcmd += string.Format(", {0}", data.ApprovalPerson.ToString());
                     strcmd += string.Format(", {0}", data.ApprovalAuthority.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -155,7 +155,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -183,7 +183,7 @@
                 strcmd += string.Format(",ApprovalPerson = {0}", data.ApprovalPerson.ToString());
                 strcmd += string.Format(",ApprovalAuthority = {0}", data.ApprovalAuthority.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -192,7 +192,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -218,7 +218,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -249,7 +249,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
@@ -262,15 +262,15 @@
         /// </summary>
         /// <param name="BusinessTypeCode"></param>
         /// <returns>Where文字列</returns>
-        public string CreatePrimarykeyString(int ApprovalCode, int DepartmentCode = 0, int SeqNo = 0)
+        public string CreatePrimarykeyString(int ApprovalCode, int DepartmentCode = -1, int SeqNo = -1)
         {
             string strWork = string.Empty;
             try
             {
                 strWork = string.Format(" Where ApprovalCode = {0}", ApprovalCode.ToString());
-                if (DepartmentCode!=0)
+                if (DepartmentCode != -1)
                     strWork += string.Format(" And DepartmentCode = {0}", DepartmentCode.ToString());
-                if (SeqNo != 0)
+                if (SeqNo != -1)
                     strWork += string.Format(" And SeqNo = {0}", SeqNo.ToString());
 
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMBusinessType.cs	(revision 51)
@@ -91,7 +91,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -118,8 +118,8 @@
                     strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
                     strcmd += string.Format(", '{0}'", work.BusinessTypeName);
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -128,7 +128,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -153,7 +153,7 @@
                 strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd += string.Format(",BusinessTypeName = '{0}'", data.BusinessTypeName);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -162,7 +162,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -188,7 +188,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -216,7 +216,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 51)
@@ -5,9 +5,9 @@
 using System.Collections;
 
 using log4net;
-using Oracle.ManagedDataAccess.Client;
+using MySql.Data.MySqlClient;
 
-using ProcessManagement.DB.Oracle;
+using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
 using ProcessManagement.DataModel;
 
@@ -18,7 +18,7 @@
     /// <summary>
     /// カテゴリ名称マスタアクセスクラス
     /// </summary>
-    public class IOMCategoryName : OracleProcess
+    public class IOMCategoryName : MySqlProcess
     {
         #region 定義部
         /// <summary>
@@ -79,8 +79,8 @@
                 strcmd += " ,CategoryName";
                 strcmd += " ,DeleteFlg";
 
-                strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
-                strcmd += " ,TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";
+                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
                 strcmd += " FROM CategoryNameMaster";
                 strcmd += AddSQLString;
 
@@ -128,8 +128,8 @@
                     strcmd += string.Format(",'{0}'", work.CategoryName.ToString());
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                    strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -165,7 +165,7 @@
                 strcmd += string.Format(",CategoryName ='{0}'", data.CategoryName.ToString());
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -259,9 +259,9 @@
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
             }
-            catch (OracleException oraex)
+            catch (MySqlException myex)
             {
-                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 51)
@@ -103,7 +103,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -134,7 +134,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -163,8 +163,8 @@
                     strcmd += string.Format(", '{0}'", work.CommentText);
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -173,7 +173,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -200,7 +200,7 @@
                 strcmd += string.Format(",CommentText = '{0}'", data.CommentText);
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -209,7 +209,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -235,7 +235,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -272,7 +272,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWhere);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWhere);
                 return false;
             }
         }
@@ -301,7 +301,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLinkMS.cs	(revision 51)
@@ -99,7 +99,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -131,7 +131,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -157,8 +157,8 @@
                 strcmd += string.Format(", {0}", work.MiddleCode.ToString());
                 strcmd += string.Format(", {0}", work.ItemCode.ToString());
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -167,7 +167,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -190,7 +190,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -217,7 +217,7 @@
                 strcmd += string.Format(",MiddleCode = {0}", data.MiddleCode.ToString());
                 strcmd += string.Format(",ItemCode = {0}", data.ItemCode.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -226,7 +226,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -253,7 +253,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -283,7 +283,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
